- name: Query the Interface Trancievers
  hosts: all
  connection: local
  gather_facts: False
  vars:
    display: False

  tasks:

    - name: Query Interface Trancievers
      include_role:
        name: aci_physical_interfaces
        tasks_from: query_interface_tranciever.yml
    
    - name: Store Interface Trancievers
      set_fact:
        structured_data_interface_tranciever: "{{ aci_physical_interface_tranciever_result['imdata'] | physical_interface_tranciever_filter }}"
      when:
        - aci_physical_interface_tranciever_result is defined

    - name: Display Interface Trancievers
      debug:
        msg: "{{ structured_data_interface_tranciever }}"
      when:
        - structured_data_interface_tranciever is defined
        - display == True

    - name: Create/update the custom field with the response
      include_role:
        name: netbox_configuration
        tasks_from: create_custom_field.yml
      vars:
        uuid: "{{ awx_webhook_payload.data.custom_fields.Query_UUID }}"
        awx_response: "{{ structured_data_interface_tranciever }}"
      when:
        - awx_webhook_payload.data.custom_fields.Query_UUID is defined
        - structured_data_interface_tranciever is defined